#!/usr/bin/env perl

use utf8;
use AnyEvent;
use AnyEvent::HTTP;
use feature 'say';
use Data::Dumper::Simple;

my $total_request = $ARGV[0];
my $finished;

$AnyEvent::HTTP::MAX_PER_HOST;
my $pos_json = '{"orien":["78","87"],"move":[["55","55","55","123","34","56"],"77"],"loc":["123","34","56"]}';


my $url = "http://localhost:3001/store_pos/apikey2/layer2/ident2.json";
my $body = "pos=$pos_json";

my %form;
$form{pos} = $pos_json;

#~ require LWP::UserAgent;
#~ my $ua = LWP::UserAgent->new;

#~ for (1..$total_request) {
	#~ my $response = $ua->post($url, Content => \%form);
	#~ if ($response->is_success) {
		#~ say $response->decoded_content;
		#~ $finished++;
		#~ say $finished if $finished % ($total_request/10) == 0;
	#~ } else {
		#~ die $response->status_line;
	#~ }
#~ }

#~ __END__

my $cv = AnyEvent->condvar;

for (1..$total_request) {
	say "start: $body";
	$cv->begin;
	http_request POST => $url, body => $body, sub {
		my ($body, $hdr) = @_;
	
		if ($hdr->{Status} =~ /^2/) {
			$finished++;
			say $finished if $finished % ($total_request/10) == 0;
		} else {
			print "error, $hdr->{Status} $hdr->{Reason}\n";
		}
		$cv->end;
	};
}


#~ my $url_query_square = 'http://localhost:3001/query_square/sha142424242424242424242424242424242424242/theWOWlayer/wtfIdent/-9999999/-9999999/-9999999/9999999/9999999/9999999';
#~ for (1..$total_request) {
	#~ say "start";
	#~ $cv->begin;
	#~ http_get $url_query_square, sub {
		#~ my ($body, $hdr) = @_;
	#~ 
		#~ if ($hdr->{Status} =~ /^2/) {
			#~ $finished++;
			#~ say $finished if $finished % ($total_request/10) == 0;
		#~ } else {
			#~ print "error, $hdr->{Status} $hdr->{Reason}\n";
		#~ }
		#~ $cv->end;
	#~ };
#~ }

$cv->recv;
